## wxBitmapShape

Draws a bitmap (non-resizable).

Derived from

wxRectangleShape

Members

wxBitmapShape::wxBitmapShape
wxBitmapShape::~wxBitmapShape
wxBitmapShape::GetBitmap
wxBitmapShape::GetFilename
wxBitmapShape::SetBitmap
wxBitmapShape::SetFilename

### wxBitmapShape::wxBitmapShape

wxBitmapShape()

Constructor.

### wxBitmapShape::~wxBitmapShape

~wxBitmapShape()

Destructor.

### wxBitmapShape::GetBitmap

wxBitmap& GetBitmap() const

Returns a reference to the bitmap associated with this shape.

### wxBitmapShape::GetFilename

wxString GetFilename() const

Returns the bitmap filename.

### wxBitmapShape::SetBitmap

void SetBitmap(const wxBitmap& bitmap)

Sets the bitmap associated with this shape. You can delete the bitmap from the calling application, since reference counting will take care of holding on to the internal bitmap data.

### wxBitmapShape::SetFilename

void SetFilename(const wxString& filename)

Sets the bitmap filename.